Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## kieker.tools.tslib
Enum ForecastMethod

    java.lang.Object
      java.lang.Enum<ForecastMethod>
          kieker.tools.tslib.ForecastMethod

All Implemented Interfaces:
  Serializable, Comparable<ForecastMethod>

    public enum ForecastMethod

extends Enum<ForecastMethod>

Since:
  1.10
Author:
  Andre van Hoorn, Tillmann Carlos Bielefeld, Tobias Rudolph, Andreas Eberlein

Enum Constant Summary
`ARIMA` `ARIMAForecaster`
`ARIMA101` `ARIMA101Forecaster`
`CROSTON` `CrostonForecaster`
`CS` `CSForecaster`
`ETS` `ETSForecaster`
`MEAN` `MeanForecaster`
`MEANJAVA` `MeanForecasterJava`
`NAIVE` `NaiveForecaster`
`SES` `SESRForecaster`

Method Summary
`IAnomalyScoreCalculator<Double>` | `getAnomalyScoreCalculator()`
`IForecaster<Double>` | `getForecaster(ITimeSeries<Double> history)`
`IForecaster<Double>` | `getForecaster(ITimeSeries<Double> history, int alpha)`
`static ForecastMethod` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ForecastMethod[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ARIMA

    public static final ForecastMethod ARIMA

  `ARIMAForecaster`

### ARIMA101

    public static final ForecastMethod ARIMA101

  `ARIMA101Forecaster`

### CROSTON

    public static final ForecastMethod CROSTON

  `CrostonForecaster`

### CS

    public static final ForecastMethod CS

  `CSForecaster`

### ETS

    public static final ForecastMethod ETS

  `ETSForecaster`

### MEAN

    public static final ForecastMethod MEAN

  `MeanForecaster`

### MEANJAVA

    public static final ForecastMethod MEANJAVA

  `MeanForecasterJava`

### NAIVE

    public static final ForecastMethod NAIVE

  `NaiveForecaster`

### SES

    public static final ForecastMethod SES

  `SESRForecaster`

Method Detail

### values

    public static ForecastMethod[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ForecastMethod c : ForecastMethod.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ForecastMethod valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getForecaster

    public IForecaster<Double> getForecaster(ITimeSeries<Double> history)

  Parameters:
    `history` - Timeseries which will be forecasted
  Returns:
    the forecaster for this algorithm
  Throws:
    `IllegalArgumentException` - if forecaster not instantiable or not defined.

### getForecaster

    public IForecaster<Double> getForecaster(ITimeSeries<Double> history,
                                             int alpha)

  Parameters:
    `history` - Timeseries which will be forecasted
    `alpha` - confidence level
  Returns:
    the forecaster for this algorithm
  Throws:
    `IllegalArgumentException` - if forecaster not instantiable or not defined.

### getAnomalyScoreCalculator

    public IAnomalyScoreCalculator<Double> getAnomalyScoreCalculator()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net